get current metrics.md
Get Current Metrics
Channels API · metrics
GET /ui/connectors/channels-api/latest/metrics/current/
Get instantaneous server metrics. Use $select to limit fields.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
$select |
object | No | Comma-separated fields: serverId, cpuUtilizationPercent, temperatureCelsius, uptimeSeconds |
Example request
curl -X GET "/ui/connectors/channels-api/latest/metrics/current/"
Responses
200 — Successful Response
data· object · Required — Selectable fields for current metrics.serverId· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
cpuUtilizationPercent· object · Optional- One of the following variants:
- number (double)
- null (null)
- One of the following variants:
temperatureCelsius· object · Optional- One of the following variants:
- number (double)
- null (null)
- One of the following variants:
uptimeSeconds· object · Optional- One of the following variants:
- number (double)
- null (null)
- One of the following variants:
collectedAt· string · Required · format: date-time
Example:
{
"data": {
"serverId": "string",
"cpuUtilizationPercent": 0,
"temperatureCelsius": 0,
"uptimeSeconds": 0
},
"collectedAt": "2024-01-01T00:00:00Z"
}
422 — Validation Error
detail· list of objects · Optional- Array items (object):
loc· list of objects · Required- Array items (object):
- One of the following variants:
- string (string)
- integer (integer)
- One of the following variants:
- Array items (object):
msg· string · Requiredtype· string · Requiredinput· any · Optionalctx· object · Optional
- Array items (object):
Example:
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}